[Intel Broadwell HDMI, Digital Out] Sound like half speed after suspend

Bug #1580882 reported by DasJott on 2016-05-12
114
This bug affects 20 people
Affects Status Importance Assigned to Milestone
alsa-driver (Ubuntu)
Medium
Unassigned

Bug Description

Ubuntu 16.04 all updates applied.

Playback to headphones is just fine. If I switch output to one of my monitor, connected by HDMI, the soudn comes out there, but with half speed. That sounds kinda funny, but weird and not as it should.
Maybe it is somehow related to suspend mode as it was fine a few days ago (after a reboot? Can't reboot now to test, sorry).

I already tried sudo /sbin/alsa force-reload but that didn't do anything.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: alsa-base 1.0.25+dfsg-0ubuntu5
ProcVersionSignature: Ubuntu 4.4.0-22.39-generic 4.4.8
Uname: Linux 4.4.0-22-generic x86_64
ApportVersion: 2.20.1-0ubuntu2
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: jott 3698 F.... pulseaudio
 /dev/snd/pcmC0D3p: jott 3698 F...m pulseaudio
 /dev/snd/controlC0: jott 3698 F.... pulseaudio
CurrentDesktop: Unity
Date: Thu May 12 08:42:46 2016
InstallationDate: Installed on 2016-04-25 (16 days ago)
InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 (20160420.1)
PackageArchitecture: all
SourcePackage: alsa-driver
Symptom: audio
Symptom_AlsaPlaybackTest: ALSA playback test through plughw:HDMI failed
Symptom_Card: Internes Audio - HDA Intel HDMI
Symptom_Jack: Digital Out, HDMI
Symptom_Type: None of the above
Title: [, Intel Broadwell HDMI, Digital Out, HDMI] Playback problem
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 08/12/2015
dmi.bios.vendor: Intel Corporation
dmi.bios.version: RYBDWi35.86A.0350.2015.0812.1722
dmi.board.name: NUC5i5RYB
dmi.board.vendor: Intel Corporation
dmi.board.version: H40999-504
dmi.chassis.type: 3
dmi.modalias: dmi:bvnIntelCorporation:bvrRYBDWi35.86A.0350.2015.0812.1722:bd08/12/2015:svn:pn:pvr:rvnIntelCorporation:rnNUC5i5RYB:rvrH40999-504:cvn:ct3:cvr:

DasJott (das-jott) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in alsa-driver (Ubuntu):
status: New → Confirmed
wag z (wagzz) wrote :

HDMI audio output is also slowed down on my Dell XPS 13 (9343). Output from alsa-info.sh: http://www.alsa-project.org/db/?f=1b96e96caec656a96fb2e44080204befbbcbc98a

Devices:
00:03.0 Audio device: Intel Corporation Broadwell-U Audio Controller (rev 09)
00:1b.0 Audio device: Intel Corporation Wildcat Point-LP High Definition Audio Controller (rev 03)

Thanks.

Changed in alsa-driver (Ubuntu):
importance: Undecided → Medium
Download full text (4.6 KiB)

HDMI Output is not working on Lenovo Thinkpad T450.

I'm using gnome-ubuntu 16.04. When I connect and set HDMI as default output in control center / audio and then do audio test (included on that same dialog) all I hear is noise that sounds like farts. When I start a player like Clementine or Youtube in browser the audio goes away, even the test buttons stop working.

Audio on laptop speakers or headphone plug works, only HDMI is not working.

~ $ cat /proc/asound/cards
 0 [HDMI ]: HDA-Intel - HDA Intel HDMI
                      HDA Intel HDMI at 0xe1230000 irq 47
 1 [PCH ]: HDA-Intel - HDA Intel PCH
                      HDA Intel PCH at 0xe1234000 irq 46

~ $ cat /proc/asound/card0/codec#0
Codec: Intel Broadwell HDMI
Address: 0
AFG Function Id: 0x1 (unsol 0)
Vendor Id: 0x80862808
Subsystem Id: 0x80860101
Revision Id: 0x100000
No Modem Function Group found
Default PCM:
    rates [0x0]:
    bits [0x0]:
    formats [0x0]:
Default Amp-In caps: N/A
Default Amp-Out caps: N/A
State of AFG node 0x01:
  Power states: D0 D3 CLKSTOP EPSS
  Power: setting=D0, actual=D0, Clock-stop-OK
GPIO: io=0, o=0, i=0, unsolicited=0, wake=0
Node 0x02 [Audio Output] wcaps 0x6611: 8-Channels Digital
  Converter: stream=0, channel=0
  Digital: Enabled KAE
  Digital category: 0x0
  IEC Coding Type: 0x0
  PCM:
    rates [0x7f0]: 32000 44100 48000 88200 96000 176400 192000
    bits [0x1e]: 16 20 24 32
    formats [0x5]: PCM AC3
  Power states: D0 D3 EPSS
  Power: setting=D0, actual=D0
Node 0x03 [Audio Output] wcaps 0x6611: 8-Channels Digital
  Converter: stream=0, channel=0
  Digital: Enabled KAE
  Digital category: 0x0
  IEC Coding Type: 0x0
  PCM:
    rates [0x7f0]: 32000 44100 48000 88200 96000 176400 192000
    bits [0x1e]: 16 20 24 32
    formats [0x5]: PCM AC3
  Power states: D0 D3 EPSS
  Power: setting=D0, actual=D0
Node 0x04 [Audio Output] wcaps 0x6611: 8-Channels Digital
  Converter: stream=0, channel=0
  Digital: Enabled KAE
  Digital category: 0x0
  IEC Coding Type: 0x0
  PCM:
    rates [0x7f0]: 32000 44100 48000 88200 96000 176400 192000
    bits [0x1e]: 16 20 24 32
    formats [0x5]: PCM AC3
  Power states: D0 D3 EPSS
  Power: setting=D0, actual=D0
Node 0x05 [Pin Complex] wcaps 0x40778d: 8-Channels Digital Amp-Out CP
  Control: name="IEC958 Playback Con Mask", index=0, device=0
  Control: name="IEC958 Playback Pro Mask", index=0, device=0
  Control: name="IEC958 Playback Default", index=0, device=0
  Control: name="IEC958 Playback Switch", index=0, device=0
  Control: name="ELD", index=0, device=3
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals: [0x00 0x00]
  Pincap 0x0b000094: OUT Detect HBR HDMI DP
  Pin Default 0x18560010: [Jack] Digital Out at Int HDMI
    Conn = Digital, Color = Unknown
    DefAssociation = 0x1, Sequence = 0x0
  Pin-ctls: 0x40: OUT
  Unsolicited: tag=01, enabled=1
  Power states: D0 D3 EPSS
  Power: setting=D0, actual=D0
  Devices: 0
  Connection: 3
     0x02* 0x03 0x04
Node 0x06 [Pin Complex] wcaps 0x40778d: 8-Channels Digital Amp-Out CP
  Control: name="IEC958 Playback Con Mask", index=1, device=0
  Control: name="IEC958 Playback Pro Mask", index=1, device=0
  Control: name="IEC...

Read more...

Michel-Ekimia (michel.ekimia) wrote :

I can confirm this bug on Intel Core i5-5200U .

This happens only after a suspend

Nothing shows in syslog that would tell a problem on hda driver.

Michel-Ekimia (michel.ekimia) wrote :

@jaimealbertosilva : Your problem is totally different from this bug, please remove your comment and open a new bug.

John Axel Eriksson (johnae) wrote :

Same problem here. Asus Laptop UX305fa. Half-speed sound when connected via 3.5 mm to external monitor conntected via HDMI.
For me this started happening after upgrading from 15.10 to 16.04. I can get around the issue by rebooting my machine after connecting the external monitor... which ofc isn't a solution, just an ugly workaround for now.

cat /proc/asound/cards
 0 [HDMI ]: HDA-Intel - HDA Intel HDMI
                      HDA Intel HDMI at 0xf711c000 irq 50
 1 [PCH ]: HDA-Intel - HDA Intel PCH
                      HDA Intel PCH at 0xf7118000 irq 47

John Axel Eriksson (johnae) wrote :

Actually, I can add that it isn't only when connected via headphones. If I connect to my TV at home and play a movie for example, the same thing happens - sound is seemingly half speed. Just mentioning this since it indicates it is entirely a problem with HDMI rather than headphones + hdmi combo. A restart while connected via HDMI works around the issue in this instance as well.

Michel-Ekimia (michel.ekimia) wrote :

IMO the BUg is only about HDMI , not link to headphones jack at all

Luke Yelavich (themuso) wrote :

Could everybody experiencing this bug plesae do a couple of things:

Firstly, get a log from PulseAudio as per the instructions at https://wiki.ubuntu.com/PulseAudio/Log.

Could you also open a terminal and run "pacmd list-sinks" while playing a sound and paste the output into this bug report.

Thanks.

summary: - [, Intel Broadwell HDMI, Digital Out, HDMI] Sound like half speed
+ [Intel Broadwell HDMI, Digital Out] Sound like half speed after suspend
eddy (eddddandrews) wrote :

Luke, logs as requested. (This is from an Intel NUC if it makes any difference).

eddy (eddddandrews) wrote :
raggar (mbaart) wrote :

I have the same problem, using a I5 5250U cpu with:
        *-display
             description: VGA compatible controller
             product: Broadwell-U Integrated Graphics
             vendor: Intel Corporation
             physical id: 2
             bus info: pci@0000:00:02.0
             version: 09
             width: 64 bits
             clock: 33MHz
             capabilities: msi pm vga_controller bus_master cap_list rom
             configuration: driver=i915 latency=0
             resources: irq:50 memory:f6000000-f6ffffff memory:e0000000-efffffff ioport:f000(size=64)
        *-multimedia:0
             description: Audio device
             product: Broadwell-U Audio Controller
             vendor: Intel Corporation
             physical id: 3
             bus info: pci@0000:00:03.0
             version: 09
             width: 64 bits
             clock: 33MHz
             capabilities: pm msi pciexpress bus_master cap_list
             configuration: driver=snd_hda_intel latency=0
             resources: irq:51 memory:f7114000-f7117fff

I don't see anything obvious in those logs and I can't reproduce...

You could try updating your ALSA drivers, as descirbed here: https://wiki.ubuntu.com/Audio/UpgradingALSA/DKMS

This could very well make a difference since xenial is 4 major kernel versions behind, and the problem may very well fixed in newer ALSA driver code.

Thanks.

John Axel Eriksson (johnae) wrote :

Early indications here are that updating the ALSA drivers fixes the problem. I've usually noticed the problem when coming in to work and the machine has been suspended, I did that whole thing now and reconnected external display + headphones and I got proper sound. Seems promising.

Michel-Ekimia (michel.ekimia) wrote :
Download full text (3.2 KiB)

Great news, will test alsa upgrade as well.

[image: photo]
*Michel Memeteau*
Directeur, Ekimia SAS
+33 (0)9 72 30 83 34 <+33+9+72+30+83+34> | <email address hidden> | Notre WebBoutique
: http://shop.ekimia.fr <http://shop.ekimia.fr> | 49 chemin union 13720 La
bouilladisse
 FRANCE
<http://facebook.com/ekimiashop>
<https://fr.linkedin.com/pub/michel-memeteau/50/793/126>
<http://twitter.com/ekimiainfo>

Contactez nous directement par Tchat sur http://bit.ly/ekichat
<http://bit.ly/ekichat>

2016-09-08 10:13 GMT+02:00 John Axel Eriksson <email address hidden>:

> Early indications here are that updating the ALSA drivers fixes the
> problem. I've usually noticed the problem when coming in to work and the
> machine has been suspended, I did that whole thing now and reconnected
> external display + headphones and I got proper sound. Seems promising.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1580882
>
> Title:
> [Intel Broadwell HDMI, Digital Out] Sound like half speed after
> suspend
>
> Status in alsa-driver package in Ubuntu:
> Confirmed
>
> Bug description:
> Ubuntu 16.04 all updates applied.
>
> Playback to headphones is just fine. If I switch output to one of my
> monitor, connected by HDMI, the soudn comes out there, but with half speed.
> That sounds kinda funny, but weird and not as it should.
> Maybe it is somehow related to suspend mode as it was fine a few days
> ago (after a reboot? Can't reboot now to test, sorry).
>
> I already tried sudo /sbin/alsa force-reload but that didn't do
> anything.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 16.04
> Package: alsa-base 1.0.25+dfsg-0ubuntu5
> ProcVersionSignature: Ubuntu 4.4.0-22.39-generic 4.4.8
> Uname: Linux 4.4.0-22-generic x86_64
> ApportVersion: 2.20.1-0ubuntu2
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC1: jott 3698 F.... pulseaudio
> /dev/snd/pcmC0D3p: jott 3698 F...m pulseaudio
> /dev/snd/controlC0: jott 3698 F.... pulseaudio
> CurrentDesktop: Unity
> Date: Thu May 12 08:42:46 2016
> InstallationDate: Installed on 2016-04-25 (16 days ago)
> InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64
> (20160420.1)
> PackageArchitecture: all
> SourcePackage: alsa-driver
> Symptom: audio
> Symptom_AlsaPlaybackTest: ALSA playback test through plughw:HDMI failed
> Symptom_Card: Internes Audio - HDA Intel HDMI
> Symptom_Jack: Digital Out, HDMI
> Symptom_Type: None of the above
> Title: [, Intel Broadwell HDMI, Digital Out, HDMI] Playback problem
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 08/12/2015
> dmi.bios.vendor: Intel Corporation
> dmi.bios.version: RYBDWi35.86A.0350.2015.0812.1722
> dmi.board.name: NUC5i5RYB
> dmi.board.vendor: Intel Corporation
> dmi.board.version: H40999-504
> dmi.chassis.type: 3
> dmi.modalias: dmi:bvnIntelCorporation:bvrRYBDWi35.86A.0350.2015.
> 0812.1722:bd08/12/2015:svn:pn:pvr:rvnIntelCorporation:
> rnNUC5i5RYB:rvrH40999-504:cvn:ct3:cvr:
>
> To manage notifications about this b...

Read more...

Michel-Ekimia (michel.ekimia) wrote :

Have updated my 16.04 ( upgraded from 15.10 if that matters) with

oem-audio-hda-daily-dkms_0.201609080501~ubuntu16.04.1_all.deb

After after Reboot + suspend, the problem is gone.

A bit ashamed I did not try this before.

We now need to isolate the exact commit in alsa that fixes this and backport it ?

Luke Yelavich (themuso) wrote :

As for backporting the commit, its certianly worth considering. However yakkety should have a newer kernel when it is released, and that kernel will be backported to xenial in time, and a new xenial image will be released with that updated kernel.

Happy to report that with oem-audio-hda-daily-lts-xenial-dkms - 0.201608190750~ubuntu16.04.1, the problem seems gone so far.

Now if only there was a workaround like this (installing newer drivers) for another suspend-resume issue, bug 1380480.

Or, more annoyingly, bug 1621246

Cristiano Nunes (cfgnunes) wrote :

I have the same problem.

And as a workaround, I use the command:
pulseaudio -k && sudo alsa force-reload

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers